import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindManyInstitutionUseCase } from './FindManyInstitutionUseCase';
class FindManyInstitutionController {
    async handle(request: Request, response: Response) {
        const findManyInstitutionUseCase = container.resolve(FindManyInstitutionUseCase)

        const institutions = await findManyInstitutionUseCase.execute()
        return response.status(200).json(institutions)
    }
}

export { FindManyInstitutionController }