import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindOneInstitutionUseCase } from './findOneInstitutionUseCase';

class FindOneInstitutionController {
    async handle(request: Request, response: Response) {
        const {id} = request.params
        const findOneInstitutionUseCase = container.resolve(FindOneInstitutionUseCase)

        const institution = await findOneInstitutionUseCase.execute(id)

        return response.status(200).json(institution)

    }
    
}

export {FindOneInstitutionController}