import { IInstitutionsRepository } from "@modules/institutions/repositories/IInstitutionsRepository";
import { AppError } from "@shared/error/AppError";
import { inject, injectable } from "tsyringe";

@injectable()
class FindOneInstitutionUseCase {
    constructor(
        @inject('InstitutionsRepository')
        private institutionsRepository: IInstitutionsRepository
    ) { }

    async execute(id: string) {
        const institution = await this.institutionsRepository.findById(id);
        if (!institution) {
            throw new AppError('Institution doesnt exists', 404);
        }

        return institution;
    }

}

export { FindOneInstitutionUseCase }